#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
Zweck:  Empfohlener Rahmen, fuer ein "echtes", nicht "gimpfu" Python-Plugin.
Quelle: http://www.gimpforum.de/showthread.php?t=9287
Author: Michael Schumacher, Herbert Nemeczek
Aufruf: Filter -> HN: Python-Plugin *Real* Python
Datum:  14.01.2019
"""

import gimp, gimpplugin
from gimpenums import *
pdb = gimp.pdb

import gi
gi.require_version("Gtk", "3.0")
from gi.repository import Gtk

class minimalplugin(gimpplugin.plugin):
  def start(self):
    gimp.main(self.init, self.quit, self.query, self._run)

  def init(self):
    pass

  def quit(self):
    pass

  def query(self):
    gimp.install_procedure(
      "HN_Python_Plugin_echtes",
      "This is a minimal *real*, non-gimpfu python plugin",
      "", "Michael Schumacher", "Michael Schumacher", "2007", 
      "<Toolbox>/Erweiterungen/HN: Python-Plugin *Real* Python", 
      "", PLUGIN,
      [ (PDB_INT32, "run_mode", "Run mode") ], []
    )

  def HN_Python_Plugin_echtes(self, fRunMode):
    window = Gtk.Window(title="Hello World")
    window.show()
    window.connect("destroy", Gtk.main_quit)
    Gtk.main()
            
if __name__ == '__main__':
  minimalplugin().start()
